doctype html
//- bottom right cart button
ngx-cart-button([add]='true', [item]='item')
.detail(fxLayout='column', fxFill)
  .summary(fxLayout='row wrap', fxFill)
    //- image
    .image([style.background-image]='"url(/assets/images/products/"+item.slug+".jpg)"')
    //- settings
    .settings
      h1 {{ item.name }}
      div(fxLayout='row')
        //- titles
        md-list
          md-list-item
            span.mat-caption Seller
          md-list-item
            span.mat-caption Price
          md-list-item
            span.mat-caption Quantity
          md-list-item
            span.mat-caption Shipping
          md-list-item
            span.mat-caption Total Price
        //- values
        md-list
          //- seller
          md-list-item {{ item.seller }}
          //- price
          md-list-item
            md-chip-list
              md-chip {{ item.price | currency:'USD':true }}
          //- quantity
          md-list-item
            md-input-container
              input(mdInput, type='number', step='50', [(ngModel)]='item.quantity', (change)='updateTotal()')
          //- shipping
          md-list-item Free Shipping
          //- total
          md-list-item
            md-chip-list
              md-chip(color='primary', selected='true') {{ item.total | currency:'USD':true }}
  .description
    h1 Product Details
    p {{ item.description }}
